# Katabatic Documentation

# Katabatic - Routing Toolbox

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- x
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - r -

- raise() : AutoSegment
- reduce() : AutoSegment
- reduceDoglegLayer() : AutoSegment
- refresh() : KatabaticEngine
- removeContact() : GCell
- removeHSegment() : GCell
- removeObserver() : Observable
- removeVSegment() : GCell
- requeue() : GCellDensitySet
- resetUserConstraints() : AutoSegment
- restrictConstraintBox() : AutoContact
- revalidate() : Session , AutoSegment
- revalidateTopology() : Session
- rpDesaturate() : GCell